Get time entries Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/time-entry/{trackable_type}/{trackable_uuid}

Path parameters

  • trackable_type string Required

    Optional parameter.

  • trackable_uuid string Required

    Optional parameter.

  • null string Required

    Optional parameter. $trackable_uuid

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[accounts] string

    Time entries owned by account UUIDs, comma separated list. Do not include if getting time entries for current user.

  • filter[circle_uuids] string

    Comma separated string of circle UUIDs to filter by.

  • filter[between] string

    array Time entries started between the dates chosen, comma separated in format of Y-m-d.

  • sort string

    Field to sort by. Valid fields are [created_at, start_date, end_date]. Negative sign to denote DESC. Defaults to '-end_date'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • trackable_type string
      • trackable object
        Hide trackable attributes Show trackable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • start_date string
      • end_date string
      • is_active boolean
      • total_time_in_minutes integer
      • computed_time_elapsed_in_seconds integer
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

GET /api/v1/time-entry/{trackable_type}/{trackable_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/time-entry/{"summary" => "When the value is omitted", "value" => ""}/{"summary" => "When the value is omitted", "value" => ""}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "63e3986f-4159-4c37-abb3-5e2009a50d66",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "name": "Research",
      "description": "This is a description.",
      "trackable_type": "Client",
      "trackable": {
        "uuid": "f9d2439a-af44-4caf-bf09-fc97fa02f3c8",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "start_date": "2026-07-17T14:35:28+01:00",
      "end_date": "2026-07-17T15:03:28+01:00",
      "is_active": true,
      "total_time_in_minutes": 28,
      "computed_time_elapsed_in_seconds": 1680,
      "account": {
        "uuid": "ead8f6a0-8bb9-45e9-bd84-4c5ad195da44",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      }
    }
  ]
}